Sunday, May 14, 2023

CCE configuration files (tls-crypt) are no longer supported

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

CCE configuration files (tls-crypt) are no longer supported.

Support for configuration files with additional control channel encryption layer is ending. These configuration files worked like a VPN through one intermediate server. They required a 2.4+ version of OpenVPN.

At this point (14 May 2023), the utility of such configuration files is virtually useless. Masking traffic where DPI (Deep Traffic Analysis) is not configured to block OpenVPN traffic makes no sense. Anti-fraud systems (anti-fraud systems), stores, banks, bookies, security agencies, ISPs, etc. maintain lists of public VPN services and their IP addresses, similar to Tor-Nodes IP addresses.

Simply put, the destination IP address in this configuration remains fixed and publicly known. The destination port and connection protocol can change. However, the destination IP address remains the same.

In addition, these configuration files were most often misused. Instead of using conventional RSA/ECC (support multithreading and load distribution across the server’s processor cores) CCE was used where it is explicitly not required, creating the illusion of additional security.

Modern systems of deep traffic analysis perfectly define such methods of "entanglement".

Now about the good. Instead of good old CCE (tls-crypt) there are new solutions that will be told later. Instructions and videos on the use of new systems of traffic blocking bypass, of course, will be rewritten.

CCE configuration files (tls-crypt) were removed from the service’s website as of May 14, 2023.

If you are still using CCE configuration files,
you need to switch to regular OpenVPN configuration files.

You will still have some time to update your settings (tentatively until May 20, 2023).

Only ECC configuration files are currently available in the ALL-OpenVPN.zip archive.
RSA configuration files have long been removed from the ALL-OpenVPN.zip archive.

If you really need to bypass DPI blocks (regular OpenVPN doesn’t connect, you need to obfuscate the connection),
contact the service support, preferably open a ticket on the site.

Your problem will be solved. Successfully tested in countries with severe regime.

If you don’t know and don’t want to know what CCE / tls-crypt is, you have everything working, no updates required.

==============================

Файлы конфигурации CCE (tls-crypt) больше не поддерживаются.

Поддержка файлов конфигурации с дополнительным слоем шифрования контрольного канала заканчивается. Такие файлы конфигурации работали как VPN через один промежуточный сервер. Для их использования требовалась версия OpenVPN клиента 2.4+.

На данный момент (14 мая 2023 года) целесообразность использования таких файлов конфигурации практически бесполезна. Маскировать трафик там, где DPI (система глубокого анализа трафика) не настроена для блокировки OpenVPN трафика, смысла нет. Системы борьбы с мошенниками (антифрод системы), магазины, банки, букмекеры, силовики, интернет-провайдеры и т.д. ведут списки публичных VPN-сервисов и их IP-адресов, по аналогии с Tor-Exit-Nodes IP-адресами.

Проще говоря, IP-адрес назначения в такой конфигурации остаётся фиксированным и публично известным. Порт назначения и протокол подключения могут меняться. Однако IP-адрес назначения остаётся прежним.

Кроме того, чаще всего такие файлы конфигурации использовались не по назначению. Вместо использования обычных RSA/ECC (поддерживают многопоточность и распределение нагрузки по ядрам процессора сервера) применялись CCE там, где это откровенно не требуется, создавая мнимую иллюзию дополнительной защищенности.

Современные системы глубокого анализа трафика отлично определяют такие методы "запутывания".

Теперь о хорошем. Вместо старого доброго CCE (tls-crypt) есть новые решения, о которых будет рассказано позже. Инструкции и видео по использованию новых систем обхода блокировок трафика, разумеется, будут переписаны.

Файлы конфигурации CCE (tls-crypt) удалены с сайта сервиса по состоянию на 14 мая 2023 года.

Если вы до сих пор используете файлы конфигурации CCE,
вам необходимо перейти на использование обычных файлов конфигурации OpenVPN.

У вас ещё будет некоторое время для обновления своих настроек (ориентировочно, до 20 мая 2023 года).

Сейчас, в архиве ALL-OpenVPN.zip на сайте сервиса представлены только ECC файлы конфигурации.
RSA файлы конфигурации уже давно удалены из архива ALL-OpenVPN.zip.

Если вам жизненно необходим обход блокировок DPI (обычный OpenVPN не подключается, требуется обфускация соединения),
обратитесь в службу поддержки сервиса, желательно, откройте тикет на сайте сервиса.

Ваша проблема будет решена. Успешно протестировано в странах с лютым режимом.

Если вы не знаете и не хотите знать, что такое CCE / tls-crypt, у вас всё работает, никаких обновлений делать не требуется.

Key fingerprint | Отпечаток ключа:

EEA339319FC14C101515055F17F0F706F9BF83C5

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQIcBAEBCgAGBQJkYLr/AAoJEIuLSrQzR0W/u4oP/0bsBOCck+vUXTWT1obrH1VJ
BAQRFhjGi/9vxz5tgaxBQkS05HxfmYy/4DJH83TK6mMggfp5r3tH57mUzxvRhc05
gGPZ6jBir744EG0NkVFRQK05IjzlzFA4BrkthIzSktqxxHDCmKBFMIVWO6oW6yMQ
otdxTA8RVQ1NRJzKgIupfgHM1Id53DIvTy8RjDiBWMapvWQOCct66ZnxuAyhUxNg
Yg2u1FdfqK0CAdWM7ER0ftLhUqp4ekt+0qFugeJNy/lI03sksXciXMQQo+mhxwIx
o4JNbP71Aey//d0+VlJiErgmp4WYhkAj6KnJyT68w9dYpfL2OrjBifktVTM/bJn8
nI78mqpxOwkRhjIhhGHDbyE69cRzIGxFf4bM9kwcDMW47ZKmI7scSeMaWSW6psgk
NwoOUrs5HaT+xpor4lvlosMOb1yKf58v3k5Q7WH1hmcwS5NL2spyiwntliGI1brg
RIuM0XmVD4RDaPXAbIYuMNFJCOtp79zn6LyVpL+PPvq85Vx6Ytmfh2NsKnOC5DFE
8ryJFwvTgSuW0Y6W2Nlt3ZimOxF6vLafCE/l3H4f2/KtHfW0MCf+Ag/j03VIo6WR
qwnGQjnM+lTHF6051WEfvqntFi3W7U6hIWMEjojm0GqUBOMMZ9xKBX+H9tXvLhg3
bPPVLJkw7m/ctu18CbTh
=qQGe
-----END PGP SIGNATURE-----

https://multivpn.su

No comments:

Post a Comment